Bug 6999 - RULE COMMITERS - dependency identification
Summary: RULE COMMITERS - dependency identification
Status: NEW
Alias: None
Product: Spamassassin
Classification: Unclassified
Component: Rules (show other bugs)
Version: unspecified
Hardware: All All
: P2 major
Target Milestone: Undefined
Assignee: SpamAssassin Developer Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-02-06 14:25 UTC by AXB
Modified: 2020-11-24 09:21 UTC (History)
6 users (show)



Attachment Type Modified Status Actions Submitter/CLA Status

Note You need to log in before you can comment on or make changes to this bug.
Description AXB 2014-02-06 14:25:22 UTC
In my crusade to cleanup old rules, offload masscheckers from bloat, etc its very hard to work when rule commiters insist in using dependencies from other ppl's sandboxes, many of which could otherwise be dropped

Please check your sandbox rules and duplicate  any third party's sandbox dependencies in your own sandbox (especially __BLAH sort of stuff)
Sandboxes owners may not respect your dependency needs and blow up you rule work.

- PLEASE add your handle/tag to your rule names as in KAM_*, AXB_*, FSL_* etc
This would make it easier to find potential issues.

- Please make use of 10_hasbase.cf 

- Please avoid keeping nopublish rules in your sandbox for years. Those who run masshcecks will be thankfull if they can speed up their jobs and comply with the time window to deliver results.

Please ack seeing this and don't bark if your rules break after I've sweeped somebody else's "abandoned" sandbox.

Thanks

Axb
Comment 1 John Hardin 2014-02-06 15:36:36 UTC
ack
Comment 2 Henrik Krohns 2019-06-19 16:12:40 UTC
good reminder to bump
Comment 3 Kevin A. McGrail 2019-06-19 18:36:11 UTC
We should make a committer rule policy / update any existing ones and add these to there in a wiki

I would also add that we want to finalize the policy around touching other people's sandboxes. 

Can someone run with this?
Comment 4 Giovanni Bechis 2019-06-20 06:05:03 UTC
On the other hand, duplicating other people's rules
means that if someone fixes/improves a rule it should
be fixed/improved in many places instead of just 
its own sandbox.
Comment 5 Steadramon 2019-06-20 07:10:28 UTC
Problems can occur with dependencies on full rules in the sandbox, too. If a rule is demoted it will no longer match - this is ok for some rules, but subrules would suit better as they won't pop in and out.

metas as scoring rules based from subrules seems a general good way to go